| Documentation For Arduino users

- Main Page
- Related Pages
- Modules
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
NexPage Class Reference
Nextion Component

A special component , which can contain other components such as NexButton, NexText and NexWaveform, etc. More...

`#include <NexPage.h>`

Inheritance diagram for NexPage:
[legend]
Collaboration diagram for NexPage:
[legend]

## Public Member Functions
| NexPage (uint8_t pid, uint8_t cid, const char *name)
| Constructor. More...
bool | show (void)
| Show itself. More...
Public Member Functions inherited from NexTouch
| NexTouch (uint8_t pid, uint8_t cid, const char *name)
| Constructor. More...
void | attachPush (NexTouchEventCb push, void *ptr=NULL)
| Attach an callback function of push touch event. More...
void | detachPush (void)
| Detach an callback function. More...
void | attachPop (NexTouchEventCb pop, void *ptr=NULL)
| Attach an callback function of pop touch event. More...
void | detachPop (void)
| Detach an callback function. More...
Public Member Functions inherited from NexObject
| NexObject (uint8_t pid, uint8_t cid, const char *name)
| Constructor. More...
void | printObjInfo (void)
| Print current object'address, page id, component id and name. More...

## Detailed Description

A special component , which can contain other components such as NexButton, NexText and NexWaveform, etc.

Examples:
  CompPage.ino.

Definition at line 31 of file NexPage.h.

## Constructor & Destructor Documentation

NexPage::NexPage | ( | uint8_t | pid,
|  | uint8_t | cid,
|  | const char * | name
| ) |  |

Constructor.

Parameters

  pid | - page id.
  cid | - component id.
  name | - pointer to an unique name in range of all components.

Definition at line 18 of file NexPage.cpp.

## Member Function Documentation

bool NexPage::show | ( | void |  | ) |

Show itself.

Returns
  true if success, false for faileure.

Examples:
  CompPage.ino.

Definition at line 23 of file NexPage.cpp.

The documentation for this class was generated from the following files:

- NexPage.h
- NexPage.cpp